<back to all web services

NotificationStatusRequest

The following routes are available for this service:
GET/RestApi/comments-api/notifications

export class NotificationStatusRequest
{
    public ThreadKey: string;

    public constructor(init?: Partial<NotificationStatusRequest>) { (Object as any).assign(this, init); }
}

export class NotificationStatusResponse
{
    public IsSubscribed: boolean;

    public constructor(init?: Partial<NotificationStatusResponse>) { (Object as any).assign(this, init); }
}

TypeScript NotificationStatusRequest DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml

HTTP + XML

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/comments-api/notifications HTTP/1.1 
Host: www.asg.com.au 
Accept: application/xml
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length

<NotificationStatusResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Services.Comments.DTO">
  <IsSubscribed>false</IsSubscribed>
</NotificationStatusResponse>